Subject: Re: [PATCH] [POWERPC] ucc_geth: Eliminate compile warnings

From: Scott Wood <[email-masked]>
Date: Tue, 23 Oct 2007 12:10:05 -0500

On Mon, Oct 22, 2007 at 06:47:32AM -0700, Medve Emilian-EMMEDVE1 wrote:
> Are you suggesting we leave those warnings there until somebody decides
> to fix all the portability issues of this driver? My patch is a small
> and insignificant improvement and not the revolution you're asking for,
> but is an small improvement today (I dislike warnings) vs. an improbable
> big one in the future.

It is not an improvement, as it moves the driver further away from being
64-bit clean.  A better fix would be to change the definition of
tx/rx_bd_ring_offset to unsigned long (or better yet, a union).

-Scott